Apache Tomcat buffer overflow exploit

This module exploits a buffer overflow vulnerability in the Apache Tomcat JK Web Server Connector and installs an agent. An attacker can use an overly long URL to trigger a buffer overflow in the URL work map routine (map_uri_to_worker()) in the mod_jk.so library, resulting in the compromise of the target system.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2007-0774
Product Version: 
6.2
Released Date: 
Wednesday, June 13, 2007 - 00:00